## kdegraphics 4.5.1

=== libs/libkdcraw/CMakeLists.txt ===
PROJECT(libkdcraw)

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)
INCLUDE(MacroOptionalAddSubdirectory)
INCLUDE(FindPackageHandleStandardArgs)

ADD_DEFINITIONS (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
INCLUDE_DIRECTORIES (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

# ==================================================================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0  (KDE3)
# 0.1.1 => 1.0.0  (KDE3)
# 0.1.2 => 2.0.0  (KDE3)
# 0.1.3 => 2.1.0  (KDE3)
# 0.1.4 => 3.0.0  (KDE3)
# 0.1.5 => 4.0.0  (KDE3)
# 0.2.0 => 5.0.0  (released with KDE 4.1.0)
# 0.3.0 => 6.0.0  (released with KDE 4.1.2)
# 0.4.0 => 7.0.0  (using libRaw-Released with KDE 4.2.0)
# 0.5.0 => 7.1.0  (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0  (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0  (Released with KDE 4.4.2)

# Library API version
SET(DCRAW_LIB_MAJOR_VERSION "1")
SET(DCRAW_LIB_MINOR_VERSION "1")
SET(DCRAW_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-svn"   : alpha code unstable from svn. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(DCRAW_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
SET(DCRAW_LIB_SO_CUR_VERSION "8")
SET(DCRAW_LIB_SO_REV_VERSION "1")
SET(DCRAW_LIB_SO_AGE_VERSION "0")

# ==================================================================================================
# Set env. variables accordinly.

SET(DCRAW_LIB_VERSION_STRING "${DCRAW_LIB_MAJOR_VERSION}.${DCRAW_LIB_MINOR_VERSION}.${DCRAW_LIB_PATCH_VERSION}${DCRAW_LIB_SUFFIX_VERSION}")
SET(DCRAW_LIB_VERSION_ID "0x0${DCRAW_LIB_MAJOR_VERSION}0${DCRAW_LIB_MINOR_VERSION}0${DCRAW_LIB_PATCH_VERSION}")

SET(DCRAW_LIB_SO_VERSION_STRING "${DCRAW_LIB_SO_CUR_VERSION}.${DCRAW_LIB_SO_REV_VERSION}.${DCRAW_LIB_SO_AGE_VERSION}")

# ==================================================================================================
# LibRAW source code

IF(NOT WIN32)
    FIND_LIBRARY(MATH_LIBRARY m)
ENDIF(NOT WIN32)

FIND_PACKAGE(LCMS REQUIRED)

# Flag to compile Little CMS code from LibRaw
ADD_DEFINITIONS(-DUSE_LCMS)

# OpenMP detection requires CMake >= 2.6.3

EXEC_PROGRAM(${CMAKE_COMMAND} ARGS --version OUTPUT_VARIABLE VERSION_CMAKE_INFO)
MESSAGE(STATUS "CMake version: ${VERSION_CMAKE_INFO}")
STRING(REPLACE "-patch " "." VERSION_CMAKE_INFO "${VERSION_CMAKE_INFO}")
MESSAGE(STATUS "CMake version (cleaned): ${VERSION_CMAKE_INFO}")
MACRO_ENSURE_VERSION("2.6.3" "${VERSION_CMAKE_INFO}" VERSION_CMAKE)

IF(VERSION_CMAKE AND NOT MSVC)
    MACRO_OPTIONAL_FIND_PACKAGE(OpenMP)
    IF(OPENMP_FOUND AND NOT MSVC)
        MESSAGE(STATUS "OpenMP detected: LibRaw will be compiled with parallelized code.")
        SET(USE_OPENMP TRUE)
    ELSEIF(OPENMP_FOUND AND NOT MSVC)
        MESSAGE(STATUS "OpenMP not detected: LibRaw will not be compiled with parallelized code.")
        SET(USE_OPENMP FALSE)
    ENDIF(OPENMP_FOUND AND NOT MSVC)
ELSE(VERSION_CMAKE)
    MESSAGE(STATUS "CMake version too old: cannot detected OpenMP: LibRaw will not be compiled with parallelized code.")
    SET(USE_OPENMP FALSE)
ENDIF(VERSION_CMAKE AND NOT MSVC)

IF(OPENMP_FOUND)
    ADD_DEFINITIONS(${OpenMP_CXX_FLAGS}) 
    IF(CMAKE_COMPILER_IS_GNUCXX)
        SET(OPENMP_LDFLAGS "-lgomp")
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
ENDIF(OPENMP_FOUND)

# Flag to debug LibRaw
ADD_DEFINITIONS(-DDCRAW_VERBOSE)

# LibRaw use C++ exception.
ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})

# Under Windows, use specific flag to compile.
IF(WIN32)
    ADD_DEFINITIONS( -DDJGPP )
ENDIF(WIN32)

# ==================================================================================================

INCLUDE_DIRECTORIES(
                    ${JPEG_INCLUDE_DIR}
                    ${LCMS_INCLUDE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw
                   )

# Do not compile LibRaw with KDE FINAL mode.
KDE4_NO_ENABLE_FINAL(libraw)

SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
   )

# =======================================================

IF(NOT WIN32)
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libkdcraw.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkdcraw.pc)
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libkdcraw.lsm.cmake ${CMAKE_CURRENT_BINARY_DIR}/libkdcraw.lsm)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkdcraw.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF(NOT WIN32)

SUBDIRS(icons)
SUBDIRS(libkdcraw)
SUBDIRS(test)
SUBDIRS(profiles)

## kdegraphics 4.4.5

=== debian/changelog ===
kdegraphics (4:4.4.5-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Adapt changelog to match the actual upload history.
  * Fix mistake in Solid action predicate for kamera (Closes: #585717). Thanks
    to dju` <dju@elegiac.net> for the patch.

  [ Pino Toscano ]
  * Import upstream revision r1167826 to fix CVE-2010-2575 in the plucker
    backend of Okular.

  [ Sune Vuorela ]
  * Some description updates.
  * Urgency medium for the security issue.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Aug 2010 15:35:55 +0200

kdegraphics (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Some changes in the package descriptions, including:
    - expanded description of okular, so all the formats supported by plugins
      in that package are listed
    - typo fixed in description of libkdcraw8 (Closes: #585429)

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update kexiv symbol files

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 00:56:14 +0200

kdegraphics (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Update libkexiv2-8.symbols for kfreebsd-i386.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop quilt-build-dep-but-no-series-file from lintian source overrides,
    it is no longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

  [ Sune Vuorela ]
  * Change my email address

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:16 +0300

kdegraphics (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Drop "compatibility" provides (libkdcraw7-dev libkexiv2-7-dev libkipi6-dev)
    from the respective *-dev packages. The number of affected 3rd party
    packages is too small to warrant this. (Closes: #576727)
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on i386 ia64 kfreebsd-amd64 kfreebsd-i386
    powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:53 +0300

kdegraphics (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - Okular prints the number of copies specified. (Closes: #560378)
    - Gwenview re-opens images that were open at the end of the session.
      (Closes: #536044)

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build depends to 4:4.4, libphonon-dev to 4:4.6.0really4.3.80.
  * Bump pkg-kde-tools dependency to 0.6.4.
  * Build depend on shared-mime-info and shared-desktop-ontologies.
  * Change the name of following library packages due to bumped soname versions
    and drop soname version number from the development package names:
    - libkipi6 -> libkipi7. Development package renamed to libkipi-dev;
    - libkdcraw7 -> libkdcraw8. Development package renamed to libkdcraw-dev;
    - libkexiv2-7 -> libkexiv2-8. Development package renamed to libkexiv2-dev;
  * Split off libkipi7, libkdcraw8 and libksane0 data files to
    the new kdegraphics-libs-data package in order to allow less painful
    upgrades next time. Make library packages depend on it with
    >= ${source:Version} relationship.
  * Update install files.
  * Add ${misc:Depends} to Depends field of all packages which missed it.
  * Add lintian overrides.
  * Add symbol files for public libraries.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.

  [ Pino Toscano ]
  * Add the libxext-dev build-depend, so we are sure to have
    X11/extensions/shape.h for ksnapshot.
  * Change the khelpcenter suggest of kgamma to khelpcenter4.
  * Okular suggestions:
    - change texlive-base-bin to texlive-binaries, as it is the new texlive
      package containing `kpsewhich' (for TeX fonts in DVI documents)
    - add kttsd (for the speech functions)
  * Add some more mailcap entries for okular.
    - ... including application/x-pdf (Closes: #565873)

  [ Sune Vuorela ]
  * Add old -dev package names to renamed -dev packages to keep rdeps
    binNMU'able

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:17 +0300

kdegraphics (4:4.3.4-1) unstable; urgency=low

  * New upstream release.
    - Fix Okular open encoded URLs. (Closes: #546278)
    - Fix display of rotated pages of PDF documents in Okular.
      (Closes: #541308)

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Pino Toscano:

  * Suggest ghostscript for okular, for the PS-as-PDF import function.
    (Closes: #557646)

  +++ Changes by Modestas Vainius:

  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:07 +0200

kdegraphics (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Make okular provide the virtual postscript-viewer capability.
  * Add the poppler-data suggestion for okular, as it can be useful for
    showing correctly CJK text in PDF documents.
  * Recommend okular for okular-extra-backends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 23:08:24 +0200



=== debian/control ===
Source: kdegraphics
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.6.0really4.3.80),
 libpoppler-qt4-dev (>= 0.8.0), libspectre-dev, libqca2-dev,
 libsane-dev, libtiff4-dev, libgphoto2-2-dev, libchm-dev, libdjvulibre-dev,
 libxxf86vm-dev, libxext-dev, libqimageblitz-dev (>= 1:0.0.4-2), libexiv2-dev,
 libstreamanalyzer-dev (>= 0.6.3), libstreams-dev (>= 0.6.3), libepub-dev, liblcms1-dev,
 shared-mime-info, shared-desktop-ontologies
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegraphics.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdegraphics.git

Package: kdegraphics
Architecture: all
Depends: ${misc:Depends}, gwenview (>= ${source:Version}), kamera (>= ${source:Version}),
 kcolorchooser (>= ${source:Version}), kgamma (>= ${source:Version}),
 kolourpaint4 (>= ${source:Version}), kruler (>= ${source:Version}),
 libksane0 (>= ${source:Version}), ksnapshot (>= ${source:Version}),
 okular (>= ${source:Version})
Recommends: kdegraphics-strigi-plugins (>= ${source:Version}),
Description: graphics applications from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes graphics applications provided with the official
 release of KDE.

Package: kdegraphics-libs-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: libkdcraw5, libkdcraw7, libkipi0, libkipi5, libkipi6
Replaces: libkdcraw5, libkdcraw7, libkipi5, libkipi6, libksane0 (<< 4:4.4.0)
Description: data files for libraries from the kdegraphics module
 This package contains data files needed by libraries built from the KDE
 graphics module.
 .
 This package is part of the KDE graphics module.

Package: kdegraphics-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphics file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about several document and graphic file formats.
 .
 Strigi plugins are included for:
  * Device independent documents (DVI)
  * PostScript documents (PS)
  * Digital camera raw images
 .
 This package is part of the KDE graphics module.

Package: gwenview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: kamera
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kcolorchooser
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kcoloredit
Conflicts: kcoloredit
Description: color chooser and palette editor
 KColorChooser is a color palette tool, used to mix colors and create custom
 color palettes.  Using the dropper, it can obtain the color of any pixel on
 the screen.
 .
 A number of common color palettes are included, such as the standard Web colors
 and the Oxygen color scheme.
 .
 This package is part of the KDE graphics module.

Package: kgamma
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: monitor calibration panel for KDE
 This package contains a settings panel for adjusting the brightness, contrast,
 and gamma-correction of a monitor.  Test patterns are shown to help
 determine the settings that accurately display the full range of colors.
 .
 Each of the red, green, and blue components can be adjusted individually,
 or all three components can be adjusted together.
 .
 This package is part of the KDE graphics module.

Package: kolourpaint4
Section: graphics
Architecture: any
Conflicts: kolourpaint
Replaces: kolourpaint
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

Package: kruler
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen ruler
 KRuler is a tool for measuring the size, in pixels, of items on the screen.
 .
 This package is part of the KDE graphics module.

Package: libksane0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package is part of the KDE graphics module.

Package: libksane-dev
Section: libdevel
Architecture: any
Depends: libksane0 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libksane0}
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.
 .
 This package is part of the KDE graphics module.

Package: ksnapshot
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen capture tool
 KSnapshot captures images of the screen.  It can capture the whole screen,
 a specified region, an individual window, or only part of a window.
 .
 This package is part of the KDE graphics module.

Package: libokularcore1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, kttsd
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, MobiPocket, and
    Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libokularcore1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: libkdcraw8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: RAW picture decoding C++ library (runtime)
 C++ interface around dcraw binary program used to decode RAW
 picture files.
 .
 This library is used by kipi-plugins, digiKam, and krita.
 .
 libkdcraw5 contains the library of libkdcraw.

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw8 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkdcraw8}, pkg-config
Conflicts: libkdcraw5-dev, libkdcraw7-dev
Description: RAW picture decoding C++ library (development)
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw-dev contains development files and documentation. The
 library documentation is available on kdcraw.h header file.

Package: libkexiv2-8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt like interface for the libexiv2 library (runtime)
 libkexif2 contains the library of libkexiv2.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-8 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkexiv2-8}, pkg-config
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev
Description: Qt-like interface for the libexiv2 library (development)
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkipi7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: library for apps that want to use kipi-plugins (runtime version)
 Libkipi is a library
 .
     o that contains common routines and widget used by kipi-plugins
     o to ease implementation of the kipi-plugins interface in an application
       that wants to use kipi-plugins

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi7 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkipi7}, pkg-config
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev
Description: library for apps that want to use kipi-plugins (development version)
 Libkipi is a library
 .
     o that contains common routines and widget used by kipi-plugins
     o to ease implementation of the kipi-plugins interface in an application
       that wants to use kipi-plugins
 .
 This pkg contains development files and documentation for libkipi library.

Package: kdegraphics-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Suggests: kdegraphics (= ${source:Version})
Conflicts: okular-dbg
Replaces: okular-dbg
Description: debugging symbols for the KDE graphics module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_libokularcore1 := -V
DEB_DH_MAKESHLIBS_ARGS_libksane0 := -V
DEB_DH_MAKESHLIBS_ARGS_libkdcraw7 := -V
DEB_DH_MAKESHLIBS_ARGS_libkexiv2-7 := -V
DEB_DH_MAKESHLIBS_ARGS_libkipi6 := -V
DEB_DH_SHLIBDEPS_ARGS_libokularcore1 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libksane0 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkdcraw7 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkipi6 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkexiv2-7 := -- -xkdebase-runtime

## kdegraphics 4.5.1

=== debian/changelog ===
kdegraphics (4:4.5.1-0ubuntu3) maverick; urgency=low

  * Add kubuntu_03_gwenview_black_list_to_documents_only.diff
    (http://bugs.kde.org/show_bug.cgi?id=249878)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 15 Sep 2010 04:18:07 +0200

kdegraphics (4:4.5.1-0ubuntu2) maverick; urgency=low

  * kubuntu_01_fix_kamera_solid_action.diff: Fix a typo in the solid action
    desktop file that prevented it from working
  * kubuntu_02_gwenview_add_camera_solid_action.diff: Added a solid action
    for opening cameras with gwenview_importer

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 09 Sep 2010 17:55:27 +0200

kdegraphics (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Drop kubuntu_01_okular_cve-2010-2575.diff (applied upstream)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 16:26:02 +0200

kdegraphics (4:4.5.0b-0ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: integer overflow error in Okular
   - Add kubuntu_01_okular_cve-2010-2575.diff patch checks for valid input
   - CVE-2010-2575
   - SA40952

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 17:08:37 +0100

kdegraphics (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Fix libokularcore1.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Aug 2010 11:04:15 +0100

kdegraphics (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:05 +0100

kdegraphics (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Michał Zając ]
  * New upstream RC release
    - Bump on build-depends

  [ Harald Sitter ]
  * New upstream release
    - Also Bump the build-depends ;)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 29 Jul 2010 22:26:27 +0200

kdegraphics (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 10:33:08 +0200

kdegraphics (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest
    - Update libkipi7.install
    - Remove README.source

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 25 Jun 2010 04:28:34 +0200

kdegraphics (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 01:46:56 +0200

kdegraphics (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Make libkexiv2-8 depend on kdegraphics-libs-data
  * Make kdegraphics-libs-data replace old libkexiv2-8 and add versioned
    replaces for libkipi7 and libkdcraw8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jun 2010 18:09:43 +0000

kdegraphics (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest build-dep to 4.4.80
    - Update various .install files for .so version bumps
    - Update various .symbols files for library packages
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
  * Bump the library versions of packages that should exclude dependencies on
    kdebase-runtime; they hadn't been bumped since KDE 4.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 22:38:23 -0400

kdegraphics (4:4.4.3-1ubuntu2) maverick; urgency=low

  * kdegraphics-libs-data: drop libkdcraw8 and libkipi7 from conflicts

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 21 May 2010 20:28:43 +0200

kdegraphics (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Don't add libchm-dev (it's in Universe)
    - In kcolorchooser don't add conflict/replace kcoloredit
    - Don't advertise chm backends in okular-extra-backends description
    - In libkdcraw8 description keep "libkdcraw8" and not "libkdcraw5"

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 14:54:09 -0400

kdegraphics (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 20:52:34 +0200

kdegraphics (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Bump version of KDE build-depends to 4.4.2

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 28 Mar 2010 22:41:35 +0200

kdegraphics (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 14:53:17 -0500

kdegraphics (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
   - Bump on Build-Depends

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 04 Feb 2010 21:49:55 +0100

kdegraphics (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions
    - Update libokularcore1.install

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 19:51:04 +0100

kdegraphics (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 19:53:25 +0100

kdegraphics (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update various .install files
  * Build against newest libexiv2 (LP: #502565)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 17:18:48 -0500

kdegraphics (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Update various .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 19:24:20 -0500

kdegraphics (4:4.3.80-0ubuntu2) lucid; urgency=low

  * Add missing (new) include files to -dev packages:
    - libkdcraw8-dev.install
    - libkexiv2-8-dev.install
    - libkipi7-dev.install



## kdegraphics 4.5.5

=== debian/changelog ===
kdegraphics (4:4.5.5-0ubuntu2.1) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:46:22 -0600

kdegraphics (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 update per micro-version release exception
    (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:23:27 -0400

kdegraphics (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:13:52 -0700

kdegraphics (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 00:37:56 +0000

kdegraphics (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:48 +0000

kdegraphics (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
    - Drop kubuntu_01_fix_kamera_solid_action.diff, applied upstream
    - Drop kubuntu_03_gwenview_black_list_to_documents_only.diff, applied upstream
    - Refresh kruler.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Oct 2010 22:27:35 +0530

=== debian/control ===
Source: kdegraphics
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.1),
 libpoppler-qt4-dev (>= 0.8.0), libspectre-dev, libqca2-dev,
 libsane-dev, libtiff4-dev, libgphoto2-2-dev, libdjvulibre-dev,
 libxxf86vm-dev, libxext-dev, libqimageblitz-dev (>= 1:0.0.4-2), libexiv2-dev,
 libstreamanalyzer-dev (>= 0.6.3), libstreams-dev (>= 0.6.3), libepub-dev, liblcms1-dev,
 shared-mime-info, shared-desktop-ontologies
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdegraphics/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdegraphics/ubuntu

Package: kdegraphics
Architecture: all
Depends: ${misc:Depends}, gwenview (>= ${source:Version}), kamera (>= ${source:Version}),
 kcolorchooser (>= ${source:Version}), kgamma (>= ${source:Version}),
 kolourpaint4 (>= ${source:Version}), kruler (>= ${source:Version}),
 libksane0 (>= ${source:Version}), ksnapshot (>= ${source:Version}),
 okular (>= ${source:Version})
Recommends: kdegraphics-strigi-plugins (>= ${source:Version}),
Description: graphics applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes graphics applications provided with the official
 release of KDE 4.

Package: kdegraphics-libs-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Conflicts: libkdcraw6, libkdcraw7, libkipi0, libkipi5, libkipi6
Replaces: libkdcraw7, libkdcraw8 (<< 4:4.4.80), libkipi6, libkipi7 (<< 4:4.4.80), libksane0 (<< 4:4.4.60), libkexiv2-8 (<< 4:4.4.80)
Description: data files for libraries from the kdegraphics module
 This package contains data files needed by libraries built from the KDE
 graphics module.
 .
 This package is part of the KDE 4 graphics module.

Package: kdegraphics-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphics file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about several document and graphic file formats.
 .
 Strigi plugins are included for:
  * Device independent documents (DVI)
  * PostScript documents (PS)
  * Digital camera raw images
 .
 This package is part of the KDE 4 graphics module.

Package: gwenview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image viewer for KDE 4
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE 4 graphics module.

Package: kamera
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE 4 applications
 This package allows any KDE 4 application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE 4 graphics module.

Package: kcolorchooser
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: color chooser and palette editor for KDE 4
 KColorChooser is a color palette tool, used to mix colors and create custom
 color palettes.  Using the dropper, it can obtain the color of any pixel on
 the screen.
 .
 A number of common color palettes are included, such as the standard Web colors
 and the Oxygen color scheme.
 .
 This package is part of the KDE 4 graphics module.

Package: kgamma
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: monitor calibration panel for KDE 4
 This package contains a settings panel for adjusting the brightness, contrast,
 and gamma-correction of a monitor.  Test patterns are shown to help
 determine the settings that accurately display the full range of colors.
 .
 Each of the red, green, and blue components can be adjusted individually,
 or all three components can be adjusted together.
 .
 This package is part of the KDE 4 graphics module.

Package: kolourpaint4
Section: graphics
Architecture: any
Conflicts: kolourpaint
Replaces: kolourpaint
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple image editor for KDE 4
 KolourPaint is a simple drawing and image editing application for KDE 4.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE 4 graphics module.

Package: kruler
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen ruler for KDE 4
 KRuler is a tool for measuring the size, in pixels, of items on the screen.
 .
 This package is part of the KDE 4 graphics module.

Package: libksane0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: scanner library for KDE 4 (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package is part of the KDE 4 graphics module.

Package: libksane-dev
Section: libdevel
Architecture: any
Depends: libksane0 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libksane0}
Description: scanner library for KDE 4 (development)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files for KDE 4.
 .
 This package is part of the KDE 4 graphics module.

Package: ksnapshot
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen capture tool for KDE 4
 KSnapshot captures images of the screen.  It can capture the whole screen,
 a specified region, an individual window, or only part of a window.
 .
 This package is part of the KDE 4 graphics module.

Package: libokularcore1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE 4 graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, kttsd
Provides: pdf-viewer, postscript-viewer
Description: document viewer for KDE 4
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 It can open a wide variety of document formats, including:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument format (ODF)
  * TeX Device independent file format (DVI)
  * various electronic book formats
 .
 This package is part of the KDE 4 graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore1 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libokularcore1}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE 4 graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE 4 graphics module.

Package: libkdcraw8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: RAW picture decoding C++ library (runtime)
 C++ interface around dcraw binary program used to decode RAW
 picture files.
 .
 This library is used by kipi-plugins, digiKam and others kipi host programs.
 .
 libkdcraw8 contains the library of libkdcraw.

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw8 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkdcraw8}, pkg-config
Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
Description: RAW picture decoding C++ library (development)
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw-dev contains development files and documentation. The
 library documentation is available on kdcraw.h header file.

Package: libkexiv2-8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: Qt like interface for the libexiv2 library (runtime)
 libkexif2 contains the library of libkexiv2.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-8 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkexiv2-8}, pkg-config
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
Description: Qt-like interface for the libexiv2 library (development)
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkipi7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegraphics-libs-data (>= ${source:Version})
Description: library for apps that want to use kipi-plugins (runtime version)
 Libkipi is a library
 .
     o that contains common routines and widget used by kipi-plugins
     o to ease implementation of the kipi-plugins interface in an application
       that wants to use kipi-plugins

Package: libkipi-dev
Section: libdevel
Architecture: any
Depends: libkipi7 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkipi7}, pkg-config
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: library for apps that want to use kipi-plugins (development version)
 Libkipi is a library
 .
     o that contains common routines and widget used by kipi-plugins
     o to ease implementation of the kipi-plugins interface in an application
       that wants to use kipi-plugins
 .
 This pkg contains development files and documentation for libkipi library.

Package: kdegraphics-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Suggests: kdegraphics (= ${source:Version})
Conflicts: okular-dbg
Replaces: okular-dbg
Description: debugging symbols for the KDE 4 graphics module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE 4 graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_libokularcore1 := -V
DEB_DH_MAKESHLIBS_ARGS_libksane0 := -V
DEB_DH_MAKESHLIBS_ARGS_libkdcraw8 := -V
DEB_DH_MAKESHLIBS_ARGS_libkexiv2-8 := -V
DEB_DH_MAKESHLIBS_ARGS_libkipi7 := -V
DEB_DH_SHLIBDEPS_ARGS_libokularcore1 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libksane0 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkdcraw8 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkipi7 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkexiv2-8 := -- -xkdebase-runtime
